Bug 709551 - 8139too: non-zero dropped RX packets
Summary: 8139too: non-zero dropped RX packets
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-01 01:18 UTC by nucleo
Modified: 2012-11-14 14:52 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-14 14:52:23 UTC
Type: ---


Attachments (Terms of Use)

Description nucleo 2011-06-01 01:18:23 UTC
Description of problem:
After updating to Fedora 15 I noticed that ifconfig shows non-zero amount of RX dropped packets with 8139too driver increased slowly in time.

Version-Release number of selected component (if applicable):
kernel-2.6.38.6-27.fc15.i686

How reproducible:
Every time.

Steps to Reproduce:
1. Configure network.
2. Wait for some amount (large or not) of traffic.
3.
  
Actual results:
RX packets:238510 errors:0 dropped:16 overruns:0 frame:0
TX packets:3803 errors:0 dropped:0 overruns:0 carrier:0

Sometimes overrun in TX was 1.


$ dmesg | grep 8139
pci 0000:01:02.0: [10ec:8139] type 0 class 0x000200
8139too: 8139too Fast Ethernet driver 0.9.28
8139too 0000:01:02.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
8139too 0000:01:02.0: eth0: RealTek RTL8139 at 0xf7c4cc00, IRQ 22


Expected results:
dropped: should be zero.

Additional info:
I double checked this in Fedora 14.
No such problem with kernel-2.6.35.13-91.fc14 on the same computer.

Comment 1 Morten Stevens 2011-08-09 22:06:41 UTC
Hi,

Fedora 16 with kernel 3.0.1-3.fc16.x86_64 is also affected.

The problems also occur with the virtio_net driver (fc15/fc16) under KVM.

Comment 2 Lonni J Friedman 2011-09-09 16:43:16 UTC
I'm also seeing this with a number of different NIC drivers, only since upgrading from F14 to F15:
e1000e
tg3
igb

All the systems are currently running 2.6.40.3-0.fc15.x86_64.

Comment 3 Lonni J Friedman 2011-09-09 16:45:45 UTC
And apparently also with the forcedeth driver.  The rate of increase is definitely directly proportional to the amount of RX traffic.

Comment 4 Jeremy Sanders 2011-12-05 12:02:25 UTC
We're seeing this on F16 with a variety of network drivers. On F14 there were 0 dropped packets. It's pretty high on this forcedeth system (MCP 51):

          RX packets:31485965 errors:1 dropped:121453 overruns:0 frame:1
          TX packets:24452565 errors:0 dropped:0 overruns:0 carrier:0

This is Intel Corporation 82578DC Gigabit
          RX packets:41990944 errors:0 dropped:33870 overruns:0 frame:0
          TX packets:30194523 errors:0 dropped:0 overruns:0 carrier:0

This is Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI
          RX packets:27585744 errors:0 dropped:109408 overruns:0 frame:0
          TX packets:12595592 errors:0 dropped:262 overruns:0 carrier:0

Another Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI
          RX packets:90726145 errors:0 dropped:355316 overruns:0 frame:0
          TX packets:9744809 errors:0 dropped:0 overruns:0 carrier:0

Intel Corporation 82567V-2 Gigabit (e1000e)
          RX packets:54689951 errors:0 dropped:385069 overruns:0 frame:0
          TX packets:33350315 errors:0 dropped:0 overruns:0 carrier:0

Intel Corporation 82566DC-2 (e1000e)
          RX packets:64984000 errors:0 dropped:197373 overruns:0 frame:0
          TX packets:56812688 errors:0 dropped:0 overruns:0 carrier:0

Looking at our remaining F14 systems, the number of dropped packets is near 0.

Comment 5 nucleo 2012-03-20 00:34:38 UTC
Eric Dumazet wrote:

> This is not a bug.
> Previous kernels were not accounting for these dropped packets (unknown
> protocol for example). But they really were dropped.

Comment 6 Dave Jones 2012-03-22 16:41:45 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 7 Dave Jones 2012-03-22 16:46:25 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 8 Dave Jones 2012-03-22 16:55:51 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 9 Morten Stevens 2012-03-22 18:09:37 UTC
Hi Dave,

kernel-3.3.0-4.fc16 does not solve this problem.

Fedora 16 KVM Guest:

uname -r
3.3.0-4.fc16.x86_64

uptime
 19:06:13 up 14 min,  1 user,  load average: 0.03, 0.39, 0.30

ifconfig | grep dropped
          RX packets:45457 errors:0 dropped:1538 overruns:0 frame:0
          TX packets:6481 errors:0 dropped:0 overruns:0 carrier:0
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0

lspci
00:00.0 Host bridge: Intel Corporation 440FX - 82441FX PMC [Natoma] (rev 02)
00:01.0 ISA bridge: Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II]
00:01.1 IDE interface: Intel Corporation 82371SB PIIX3 IDE [Natoma/Triton II]
00:01.2 USB Controller: Intel Corporation 82371SB PIIX3 USB [Natoma/Triton II] (rev 01)
00:01.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 03)
00:02.0 VGA compatible controller: Cirrus Logic GD 5446
00:03.0 Ethernet controller: Red Hat, Inc Virtio network device
00:04.0 SCSI storage controller: Red Hat, Inc Virtio block device
00:05.0 RAM memory: Red Hat, Inc Virtio memory balloon

Steps to Reproduce:

1) RHEL6/CentOS 6 KVM Host
2) Fedora 16 as guest with virtio network drivers

Comment 10 g. artim 2012-04-26 17:02:44 UTC
get these on the e1000e driver, fc16:
Linux n1 3.3.2-1.fc16.x86_64 #1 SMP Sat Apr 14 00:31:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

I have a nic that seems to work fine, but the driver does show dropped
packets, even on a 'idle' connection. ethtool shows no errors.
I do have 802.3ad turned on at the
switch, was testing bonding. Odd thing is when I run wireshark or
tcpdump the errors stop trickling in. I get about 1 every couple of
seconds. any help on this would be greatly appreciated. netpipe
performance is fine, nfs gets about 116MBs, but still worried...


# ethtool -S eth1|grep rx |grep error && ifconfig eth1
     rx_errors: 0
     rx_length_errors: 0
     rx_over_errors: 0
     rx_crc_errors: 0
     rx_frame_errors: 0
     rx_missed_errors: 0
     rx_long_length_errors: 0
     rx_short_length_errors: 0
     rx_align_errors: 0
     rx_csum_offload_errors: 0
eth1 Link encap:Ethernet  HWaddr 00:25:90:51:71:8C
     inet addr:10.0.2.253  Bcast:10.0.2.255  Mask:255.255.255.0
     inet6 addr: fe80::225:90ff:fe51:718c/64 Scope:Link
     UP BROADCAST RUNNING MULTICAST  MTU:9000  Metric:1
     RX packets:115898464 errors:0 dropped:40139 overruns:0 frame:0
     TX packets:79694146 errors:0 dropped:0 overruns:0 carrier:0
     collisions:0 txqueuelen:1000
     RX bytes:167519905176 (156.0 GiB)  TX bytes:98232460017 (91.4GiB)
         Interrupt:16 Memory:fb900000-fb920000
device showing the error:

[root@n1 gartim]# ethtool --driver  eth1
driver: e1000e
version: 1.5.1-k
firmware-version: 2.1-2
bus-info: 0000:04:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes

device on other end (shows no errors):

$ ethtool --driver eth1
driver: e1000e
version: 1.10.6-NAPI
firmware-version: 5.6-2
bus-info: 0000:01:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes

Comment 11 Josh Boyer 2012-09-04 13:44:20 UTC
Is this still being seen with the 3.4 kernel updates in F16 or 3.5 updates in F17?

Comment 12 Lonni J Friedman 2012-09-04 14:00:08 UTC
Yup:
$ uname -a
Linux netllama.nvidia.com 3.4.9-1.fc16.i686 #1 SMP Wed Aug 15 21:23:41 UTC 2012 i686 i686 i386 GNU/Linux
$ /sbin/ifconfig 
eth1      Link encap:Ethernet  HWaddr 00:26:18:A7:73:ED  
          inet addr:172.16.169.66  Bcast:172.16.171.255  Mask:255.255.252.0
          inet6 addr: fe80::226:18ff:fea7:73ed/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:39522755 errors:1 dropped:85237 overruns:0 frame:1
          TX packets:9070535 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:22029183779 (20.5 GiB)  TX bytes:894845644 (853.3 MiB)
          Interrupt:23 Base address:0xe000

Comment 13 nucleo 2012-09-04 14:18:36 UTC
Eric Dumazet wrote:

> This is not a bug.
> Previous kernels were not accounting for these dropped packets (unknown
> protocol for example). But they really were dropped.

So should I close this bug as NOTABUG?

Comment 14 Dave Jones 2012-10-23 15:30:15 UTC
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).

Comment 15 Justin M. Forbes 2012-11-14 14:52:23 UTC
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.


Note You need to log in before you can comment on or make changes to this bug.